Skip to content

Get Autoscaling Activity Logs

GET
/api/v1/scaler/scalegroups/logs/{scaler_id}
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/logs/{scaler_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the autoscaling activity log for the group - the chronological record of state transitions and scale up/down events (for example Role web scaling up from 2 to 3 nodes, New state: SCALING), each with a created_at timestamp.

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

Autoscaling activity log entries (state transitions and scale events).

object
code
integer
data
Array<object>
object
created_at
string
state
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"created_at": "2026-01-15T14:55:09",
"state": "Role web scaling up from 2 to 3 nodes"
}
],
"message": "Success"
}